# Delete Custom Field

Delete a custom field definition. All values stored under this field on every asset are also deleted (cascade). This is irreversible. Access: Plus plan + Owner/Executive Manager.

Endpoint: DELETE /asset-custom-fields/{field_id}
Version: 2.0.0
Security: oauth2, apiKey

## Path parameters:

  - `field_id` (string, required)
    Encrypted custom field ID.
    Example: "fEnc_5pK9r"

## Request fields (application/json):

  - `workspace_id` (integer, required)
    Example: 1

## Response 200 fields (application/json):

  - `success` (boolean)
    Example: true

  - `data` (object)

  - `data.id` (string)
    Example: "fEnc_5pK9r"

  - `data.deleted` (boolean)
    Example: true

  - `meta` (object)

  - `meta.api_version` (string)
    Example: "2.0.0"

  - `meta.timestamp` (string)

## Response 400 fields (application/json):

  - `success` (boolean, required)

  - `message` (string, required)
    Error message describing what went wrong
    Example: "An error occurred"

  - `error` (string,null)
    Optional additional error details
    Example: "Internal Server Error"

  - `meta` (object, required)


